Subject: [sup-devel] Update in heliotrope !

From: Matthieu Rakotojaona <[email-masked]>
Date: Tue, 25 Sep 2012 00:13:57 +0200

Hello everyone,

I have updated my version of heliotrope on my imap branch
(https://github.com/rakoo/heliotrope/tree/imap). You just have to
clone it and checkout the branch.
You may now synchronize your mails between heliotrope and a maildir
with offlineimap. I tested most of  the situations that can happen
when using it (Adding/removing a label on heliotrope side,
adding/removing a mail on maildir side)

A few notes :

* It is not "multi-write-safe", in the sense that you should stop all
other activity with heliotrope while you sync with offlinimap.
Concurrent access will have unknown outcome.
* To continue on this point, use offlineimap with the `-1` flag, which
will turn off multithreading. It should work without it though,
because AFAIK offlineimap threads do not share mailboxes. But I'm not
sure.
* There are a few hardcoded labels/dir that you should find in your
maildir, such as INBOX/inbox and "All Mail", which has no equivalent
in heliotrope. Fear not, this one is taken care of.
* Syncing with another IMAP server should also work,because it is
transparent to offlineimap (at least from the outside)

Have fun !

-- 
Matthieu RAKOTOJAONA
_______________________________________________
Sup-devel mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-devel